Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.impl
Class DefaultWebContextBuilder

    java.lang.Object
      org.directwebremoting.impl.DefaultWebContextBuilder

All Implemented Interfaces:
  WebContextFactory.WebContextBuilder

    public class DefaultWebContextBuilder

extends java.lang.Object
implements WebContextFactory.WebContextBuilder

A WebContextBuilder that creates DefaultWebContexts.

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Constructor Summary
`DefaultWebContextBuilder()`

Method Summary
`WebContext` | `get()`
`void` | `set(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletConfig config, javax.servlet.ServletContext context, Container container)` Make the current thread know what the current request is.
`void` | `unset()` Unset the current ExecutionContext This method is only for use internally to DWR.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultWebContextBuilder

    public DefaultWebContextBuilder()

Method Detail

### set

    public void set(javax.servlet.http.HttpServletRequest request,
                    javax.servlet.http.HttpServletResponse response,
                    javax.servlet.ServletConfig config,
                    javax.servlet.ServletContext context,
                    Container container)

  Description copied from interface: `WebContextFactory.WebContextBuilder`
  Make the current thread know what the current request is. This method is only for use internally to DWR.

  Specified by:
    `set` in interface `WebContextFactory.WebContextBuilder`
  Parameters:
    `request` - The incoming http request
    `response` - The outgoing http reply
    `config` - The servlet configuration
    `context` - The servlet context
    `container` - The IoC container
  See Also:
    `WebContextFactory.WebContextBuilder.unset()`

### get

    public WebContext get()

  Specified by:
    `get` in interface `WebContextFactory.WebContextBuilder`
  Returns:
    The WebContext that is associated with this thread

### unset

    public void unset()

  Description copied from interface: `WebContextFactory.WebContextBuilder`
  Unset the current ExecutionContext This method is only for use internally to DWR.

  Specified by:
    `unset` in interface `WebContextFactory.WebContextBuilder`
  See Also:
    `WebContextFactory.WebContextBuilder.set(HttpServletRequest, HttpServletResponse, ServletConfig, ServletContext, Container)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD